Bug 58472 - Network failes to start
Network failes to start
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-17 13:21 EST by Jim Boyer
Modified: 2014-03-16 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 18:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2002-01-17 14:28:01 EST
Then you have a broken machine somewhere, on your local network. When the
ethernet interface is activated, ifup broadcasts "arp pings" to see if this
adress is not duplicate. Can you try the following:

1. Make things so that your Linux box has a working network interface (choose
   whatever method you want...)
2. As root: tcpdump -n arp
3. As root (in an other xterm): /sbin/arping -q -c 2 -w 3 -D -I eth0 x.y.z.t
   (where x.y.z.t is your IP adress)

What does tcpdump say?
Comment 1 Jim Boyer 2002-01-17 17:02:01 EST
Here is the response

tcpdump: listening on eth0
13:59:33.846227 arp who-has 134.121.87.254 tell 134.121.80.122
13:59:35.356227 arp who-has 134.121.86.43 (Broadcast) tell 0.0.0.0
13:59:35.356227 arp reply 134.121.86.43 is-at 0:90:27:af:a5:3
13:59:35.356227 arp reply 134.121.86.43 is-at 0:90:27:af:a5:3
13:59:37.636227 arp who-has 134.121.86.97 tell 134.121.80.26
13:59:38.276227 arp who-has 134.121.85.197 tell 134.121.81.60
13:59:40.006227 arp who-has 134.121.87.254 tell 134.121.80.75
13:59:40.666227 arp who-has 134.121.86.99 tell 134.121.80.35
13:59:41.016227 arp who-has 134.121.87.112 tell 134.121.80.26
13:59:41.266227 arp who-has 134.121.85.174 tell 134.121.83.114
13:59:42.246227 arp who-has 134.121.86.43 (Broadcast) tell 0.0.0.0
13:59:42.426227 arp reply 134.121.86.43 is-at 0:90:27:af:a5:3
13:59:42.426227 arp reply 134.121.86.43 is-at 0:90:27:af:a5:3
13:59:43.056227 arp who-has 134.121.84.118 tell 134.121.84.136
13:59:43.596227 arp who-has 134.121.81.141 tell 134.121.80.17
13:59:43.716227 arp who-has 134.121.86.73 tell 134.121.80.35
13:59:44.726227 arp who-has 134.121.83.187 tell 134.121.83.96
13:59:45.196227 arp who-has 134.121.82.72 tell 134.121.87.254
13:59:46.736227 arp who-has 134.121.86.100 tell 134.121.80.35
13:59:48.226227 arp who-has 134.121.83.173 tell 134.121.83.96
13:59:48.236227 arp who-has 134.121.83.173 tell 134.121.83.114
13:59:48.236227 arp who-has 134.121.83.173 (Broadcast) tell 134.121.86.247
13:59:48.726227 arp who-has 134.121.80.131 tell 134.121.86.121
13:59:49.086227 arp who-has 134.121.83.101 tell 134.121.83.114
Comment 2 Jim Boyer 2002-01-17 17:12:34 EST
Sorry I forgot to say that the IP of the machine is 134.121.86.43, which is 
what arp is telling me.
Comment 3 Olivier Baudron 2002-01-17 17:16:20 EST
What is the Ethernet adress of your ethernet board? Is it 0:90:27:af:a5:3?
Comment 4 Jim Boyer 2002-01-17 17:31:29 EST
The hardware address is different.  Here is the ifconfig results

[root@cru73 boyerj]# /sbin/ifconfig
eth0      Link encap:Ethernet  HWaddr 00:C0:F0:2A:07:97  
          inet addr:134.121.86.43  Bcast:134.121.87.255  Mask:255.255.248.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:17375 errors:0 dropped:0 overruns:0 frame:0
          TX packets:662 errors:0 dropped:0 overruns:0 carrier:0
          collisions:61 txqueuelen:100 
          RX bytes:3334456 (3.1 Mb)  TX bytes:84696 (82.7 Kb)
          Interrupt:15 Base address:0xfce0 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:2 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:140 (140.0 b)  TX bytes:140 (140.0 b)
Comment 5 Olivier Baudron 2002-01-17 17:38:00 EST
Is there a machine with ethernet adress 0:90:27:af:a5:3 on your local network?
Comment 6 Jim Boyer 2002-01-17 18:04:48 EST
The MAC address 00:90:27:af:a5:30 doesn't appear any where on our campus 
network.  A search for my IP gave the results, IP 134.121.86.43 
(cru73.cahe.wsu.edu) w/MAC 00:c0:f0:2a:07:97 was last seen on #20020117#
Comment 7 Olivier Baudron 2002-01-17 19:37:32 EST
Is it possible that you reset the switch your linux box is connected to?
There might be a problem with its arp cache. Otherwise, I don't know...
Comment 8 Jim Boyer 2002-01-17 19:51:35 EST
If resetting the switch doesn't help is there a way to just uninstall the 
network portion and then reinstall it?  I do have the CD's.

Thanks
Comment 9 Olivier Baudron 2002-01-18 03:28:44 EST
Edit the file /sbin/ifup and comment lines 205-208:

    if ! arping -q -c 2 -w 3 -D -I ${DEVICE} ${IPADDR} ; then
	echo $"Error, some other host already uses address ${IPADDR}."
	exit 1
    fi

Anyway, I think the problem comes from a device on your network...
Comment 10 Jim Boyer 2002-01-18 18:40:08 EST
Wow, we finally found where the problem existed.  Somebody had added the 
workstation IP address to an address that was supposed to be behind our PIX.  
This workstation is not behind the PIX at all, but the MAC tcpdump was showing 
was the PIX MAC.  Once I deleted all of the references of the IP in the PIX and 
then reloaded it, everything works fine.

Wow, what a struggle this has been.  Thanks so much for your help.  I learned 
some new techniques for testing in the future.  Thanks for your great 
persistance and knowledge.

Note You need to log in before you can comment on or make changes to this bug.